name: Feature Request
description: Request a new feature from Apache ECharts
title: "[Feature] "
labels: [new-feature]
body:
- type: markdown
  attributes:
    value: |
      The issue list is reserved exclusively for bug reports and feature requests.

      For usage questions, please use the following resources:

      - Read the [docs](https://echarts.apache.org/option.html)
      - Find in [examples](https://echarts.apache.org/examples/)
      - Look for / ask questions on [Stack Overflow](https://stackoverflow.com/questions/tagged/echarts)

      For non-technical support or general questions, you can email [dev@echarts.apache.org](mailto:dev@echarts.apache.org). And don't forget to subscribe to our [mailing list](https://echarts.apache.org/maillist.html) to get updated with the project.

      Also try to search for your issue - it may have already been answered or even fixed in the development branch. However, if you find that an old, closed issue still persists in the latest version, you should open a new issue using the form below instead of commenting on the old issue.

- type: textarea
  attributes:
    label: What problem does this feature solve?
    description: |
      Explain your use case, context, and rationale behind this feature request. More importantly, what is the end user experience you are trying to build that led to the need for this feature?

      An important design goal of ECharts is keeping the API surface small and straightforward. In general, we only consider adding new features that solve a problem that cannot be easily dealt with using existing APIs (i.e. not just an alternative way of doing things that can already be done). The problem should also be common enough to justify the addition.

  validations:
    required: true

- type: textarea
  attributes:
    label: What does the proposed API look like?
    description: Describe how you propose to solve the problem and provide code samples of how the API would work once implemented. Note that you can use [Markdown](https://docs.github.com/en/github/writing-on-github/getting-started-with-writing-and-formatting-on-github/basic-writing-and-formatting-syntax) to format your code blocks.


  validations:
    required: true
